package kz.arta.synergy.workflow.mobile.android.documents.route.models;

import java.io.Serializable;

import kz.arta.synergy.workflow.mobile.android.documents.route.RoutesConst;

/**
 * Created by neox on 24.07.15.
 * Подэтап маршрута
 */
public class RouteItemUser implements Serializable {

    /**
     * Имя пункта
     */
    private String name;

    /**
     * Идентификатор пункта
     */
    private String itemID;

    /**
     * Идентификатор процесса
     *
     * @see RoutesConst.Processes
     */
    private String typeID;

    /**
     * Идентификатор пользователя
     */
    private String userID;

    /**
     * Имя пользователя
     */
    private String userName;

    /**
     * Длительность
     */
    private String length;

    /**
     * Тип длительности
     *
     * @see RoutesConst#LENGTH_DAYS
     * @see RoutesConst#LENGTH_HOURS
     * @see RoutesConst#LENGTH_DATE
     */
    private String lengthType;

    /**
     * Значение нагрузки
     */
    private String workloadValue;

    /**
     * Тип нагрузки
     *
     * @see RoutesConst#PERCENT
     * @see RoutesConst#LENGTH_DAYS
     * @see RoutesConst#LENGTH_HOURS
     */
    private String workLoadType;

    /**
     * Номер возврата
     */
    private String returnNumber;

    /**
     * Идентификатор формы завершения
     */
    private String completionFormID;

    /**
     * Идентификатор маошрута
     */
    private String routeID;

    /**
     * Имя маршрута
     */
    private String routeName;

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getItemID() {
        return itemID;
    }

    public void setItemID(String itemID) {
        this.itemID = itemID;
    }

    public String getTypeID() {
        return typeID;
    }

    public void setTypeID(String typeID) {
        this.typeID = typeID;
    }

    public String getUserID() {
        return userID;
    }

    public void setUserID(String userID) {
        this.userID = userID;
    }

    public String getLength() {
        return length;
    }

    public void setLength(String length) {
        this.length = length;
    }

    public String getLengthType() {
        return lengthType;
    }

    public void setLengthType(String lengthType) {
        this.lengthType = lengthType;
    }

    public String getWorkloadValue() {
        return workloadValue;
    }

    public void setWorkloadValue(String workloadValue) {
        this.workloadValue = workloadValue;
    }

    public String getWorkLoadType() {
        return workLoadType;
    }

    public void setWorkLoadType(String workLoadType) {
        this.workLoadType = workLoadType;
    }

    public String getReturnNumber() {
        return returnNumber;
    }

    public void setReturnNumber(String returnNumber) {
        this.returnNumber = returnNumber;
    }

    public String getCompletionFormID() {
        return completionFormID;
    }

    public void setCompletionFormID(String completionFormID) {
        this.completionFormID = completionFormID;
    }

    public String getRouteID() {
        return routeID;
    }

    public void setRouteID(String routeID) {
        this.routeID = routeID;
    }

    public String getRouteName() {
        return routeName;
    }

    public void setRouteName(String routeName) {
        this.routeName = routeName;
    }

}
